AgentConnect
Sessions

Get session messages

Proxies a page of the session's chat history live from a daemon holding it — the recording daemon, or a member of the shared store it was written to; 503 when none is reachable.

GET
/v1/orgs/{orgId}/sessions/{id}/messages

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string

Query Parameters

cursor?string
after?string
Match^\d+$
limit?integer
Range0 < value <= 200

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/sessions/string/messages"
{  "sessionId": "string",  "messages": [    {      "seq": 0,      "sender": "string",      "senderName": "string",      "senderAvatarUrl": "http://example.com",      "trustedAgentBot": true,      "ts": "string",      "eventTimeUs": 0,      "postId": "string",      "kind": "string",      "text": "string",      "attachments": [        {          "name": "string",          "mimeType": "image/png",          "data": "string"        }      ],      "toolCallId": "string",      "toolStatus": "string",      "toolKind": "string",      "body": "string",      "bodyTruncated": true,      "bodyBytes": 0    }  ],  "nextCursor": "string",  "liveCursor": "string",  "liveMore": true}